# # #
# /11/more_on_methods.rb
# (c) 2009 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/11-oh-this-sweet-and-tasty-syntactic-sugar
# # #

class Hello
  def initialize(input='',params = {})
    @string,@params = input,params
  end

  # a simple getter for @string
  def string
    @string
  end

  # a simple setter for @string
  def string=(value)
    @string = value
  end

  # an even simplier way for doing both for @params ;)
  attr_accessor :params # the attr_accessor-method takes a symbol with the same name as the instance variable
end

some_var = Hello.new 'my_input',
                     :admin => true,
                     :user => 'Stefan'

puts some_var.params[:user]  if some_var.params[:admin]  # "Stefan"
